## org.apache.http.impl.client
Class ContentEncodingHttpClient

    java.lang.Object
      org.apache.http.impl.client.AbstractHttpClient
          org.apache.http.impl.client.DefaultHttpClient
              org.apache.http.impl.client.ContentEncodingHttpClient

All Implemented Interfaces:
  HttpClient

    @ThreadSafe
    public class ContentEncodingHttpClient

extends DefaultHttpClient

`DefaultHttpClient` sub-class which includes a `RequestAcceptEncoding` for the request and response.

Since:
  4.1

Constructor Summary
`ContentEncodingHttpClient()`
`ContentEncodingHttpClient(ClientConnectionManager conman, HttpParams params)` Creates a new HTTP client from parameters and a connection manager.
`ContentEncodingHttpClient(HttpParams params)`

Method Summary
`protected BasicHttpProcessor` `createHttpProcessor()`

Methods inherited from class org.apache.http.impl.client.DefaultHttpClient
`createHttpParams, setDefaultHttpParams`

Methods inherited from class org.apache.http.impl.client.AbstractHttpClient

`addRequestInterceptor, addRequestInterceptor, addResponseInterceptor, addResponseInterceptor, clearRequestInterceptors, clearResponseInterceptors, createAuthSchemeRegistry, createClientConnectionManager, createClientRequestDirector, createClientRequestDirector, createConnectionKeepAliveStrategy, createConnectionReuseStrategy, createCookieSpecRegistry, createCookieStore, createCredentialsProvider, createHttpContext, createHttpRequestRetryHandler, createHttpRoutePlanner, createProxyAuthenticationHandler, createRedirectHandler, createRequestExecutor, createTargetAuthenticationHandler, createUserTokenHandler, determineParams, execute, execute, execute, execute, execute, execute, execute, execute, getAuthSchemes, getConnectionKeepAliveStrategy, getConnectionManager, getConnectionReuseStrategy, getCookieSpecs, getCookieStore, getCredentialsProvider, getHttpProcessor, getHttpRequestRetryHandler, getParams, getProxyAuthenticationHandler, getRedirectHandler, getRedirectStrategy, getRequestExecutor, getRequestInterceptor, getRequestInterceptorCount, getResponseInterceptor, getResponseInterceptorCount, getRoutePlanner, getTargetAuthenticationHandler, getUserTokenHandler, removeRequestInterceptorByClass, removeResponseInterceptorByClass, setAuthSchemes, setCookieSpecs, setCookieStore, setCredentialsProvider, setHttpRequestRetryHandler, setKeepAliveStrategy, setParams, setProxyAuthenticationHandler, setRedirectHandler, setRedirectStrategy, setReuseStrategy, setRoutePlanner, setTargetAuthenticationHandler, setUserTokenHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentEncodingHttpClient

    public ContentEncodingHttpClient(ClientConnectionManager conman,
                                     HttpParams params)

  Creates a new HTTP client from parameters and a connection manager.

  Parameters:
    `params` - the parameters
    `conman` - the connection manager

### ContentEncodingHttpClient

    public ContentEncodingHttpClient(HttpParams params)

Parameters:
  `params` -

### ContentEncodingHttpClient

    public ContentEncodingHttpClient()

Method Detail

### createHttpProcessor

    protected BasicHttpProcessor createHttpProcessor()

  Overrides:
    `createHttpProcessor` in class `DefaultHttpClient`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.